HConfigurationException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui
Class HConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.havi.ui.HConfigurationException

All Implemented Interfaces:
  Serializable

    public class HConfigurationException

extends Exception

Thrown when an application requests an `HScreenConfiguration` that cannot be satisfied -- either because the `HScreenConfiguration` does not have the functionality, or because the requested `HScreenConfiguration` is otherwise invalid, e.g. it is an `HScreenConfiguration` due to a different `HScreenDevice` than the one it is being applied to.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
message | Message explaining why the exception was thrown | null | - | java.lang.Throwable#getMessage

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  Serialized Form

Constructor Summary
`HConfigurationException()` Creates an HConfigurationException object.
`HConfigurationException(String message)` Creates an HConfigurationException object with a specified reason string.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HConfigurationException

    public HConfigurationException()

  Creates an HConfigurationException object. See the class description for details of constructor parameters and default values.

### HConfigurationException

    public HConfigurationException(String message)

  Creates an HConfigurationException object with a specified reason string.

  Parameters:
    `message` - the reason why the exception was raised

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD